/*
 *    DocumentInfoDialog.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.nzdl.gsdl.SimpleGraphicalClient;

import javax.swing.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.text.*;
import java.io.*;

import org.nzdl.gsdl.service.*;

public class DocumentInfoDialog 
  extends JDialog 
  implements ActionListener, Constants {
  
  private JButton okButton;
  private JPanel  buttonPanel, holderPanel, contentPanel;

  DocumentInfoDialog(Frame f, 
		     String collectionName, 
		     String docID, 
		     CSModel csModel) {
    super(f, "Document Information" );
 
    contentPanel = new JPanel(new GridLayout(0,2, 5, 4));
    buttonPanel = new JPanel();

    NzdlDocumentInfo documentInfo =  
      new NzdlDocumentInfo(csModel.nzdl, collectionName, docID);
	
    // collectionNamePanel.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
    //collectionNamePanel.add(new JLabel(csModel.getLongDocumentName(collectionName)));
    Enumeration keys = documentInfo.getKeys();
    Enumeration values = documentInfo.getValues();

    while (keys.hasMoreElements()) {
      String key = (String) keys.nextElement();
      String value = (String) values.nextElement();
      contentPanel.add(new JLabel(key));
      contentPanel.add(new JLabel(value));  
    }

    okButton = new JButton("Ok");
    okButton.setPreferredSize(new Dimension(80,20));
    okButton.addActionListener(this);
    buttonPanel.add( okButton );
    getRootPane().setDefaultButton(okButton);

    holderPanel = new JPanel();
    holderPanel.setBorder(BorderFactory.createEmptyBorder(10,10,2,10));
    holderPanel.setLayout( new BoxLayout(holderPanel, BoxLayout.Y_AXIS));
    holderPanel.add(contentPanel);
    holderPanel.add(Box.createVerticalStrut(5));
    holderPanel.add(buttonPanel);
    getContentPane().add(holderPanel);

    pack();
    setVisible(true);
  } //end DocumentInfoDialog constructor

 
  public void actionPerformed(ActionEvent e) {
    Object source = e.getSource();
    if (source == okButton)
      {
	//System.err.println("ok button pressed!");
	dispose(); //close window
      }
    else
      {
	System.err.println("event not processed in DocumentInfoDialog");
      }
  } //end actionPerformed

} // end DocumentInfoDialog class




